Skip to main content
Resource Center/Hardware/Primary Storage Operations/Shared Block Primary Storage Operations
GETShared Block Primary Storage OperationsSince 2.6.0SynchronousAuth Required

GetSharedBlockCandidate

GetSharedBlockCandidate

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Query Parameters

Request Inputs

Query Parameters

  • clusterUuidStringRequired

    The cluster UUID.

  • systemTagsList

    Optional. The system tags.

  • userTagsList

    Optional. The user tags.

Responses

200 OK

On success, this API returns the following response structure.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • resultsListRequired

    See results.

    • wwidStringRequired

      The device WWID.

    • vendorStringRequired

      The device vendor.

    • modelStringRequired

      The device model.

    • wwnStringRequired

      The device WWN.

    • serialStringRequired

      The device serial No.

    • hctlStringRequired

      The SCSI device HCTL.

    • typeStringRequired

      The device type.

    • sizeLongRequired

      The device size.

Endpoint

GET/zstack/v1/primary-storage/sharedblockgroup/sharedblock-candidates

/zstack/v1/primary-storage/sharedblockgroup/sharedblock-candidates

Operation ID

GetSharedBlockCandidate

Permalink

Request Example

curl -X GET 'http://{host}/zstack/v1/primary-storage/sharedblockgroup/sharedblock-candidates?clusterUuid=<clusterUuid>&systemTags=<systemTags>&userTags=<userTags>' -H 'Authorization: OAuth {sessionUuid}'

Response Example

200
{ "results": [ { "wwid": "ata-Samsung_SSD_850_EVO_M.2_250GB_S33CNX0H600299D", "vendor": "DELL", "model": "MD32xx", "wwn": "0x6b083fe000daf018", "serial": "6b083fe000daf018000015505abbe00a", "hctl": "", "type": "mpath", "size": 3.000318820352E13 }, {} ] }

Change History

This API has no change history records yet.

View all change history